package com.qmth.themis.business.bean.exam;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;

/**
 * @Description: 未完成的考试
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/8
 */
public class ExamUnFinishBean implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    private String name;
    private ExamActivityUnFinishBean activity;

    public ExamUnFinishBean() {

    }

    public ExamUnFinishBean(Long id, String name, ExamActivityUnFinishBean activity) {
        this.id = id;
        this.name = name;
        this.activity = activity;
    }

    public ExamActivityUnFinishBean getActivity() {
        return activity;
    }

    public void setActivity(ExamActivityUnFinishBean activity) {
        this.activity = activity;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
